Package: groovy.model

## [Java] Class MyTableColumnModel

- groovy.model.DefaultTableModel.MyTableColumnModel

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `List` | `getColumnList()`
    `` | `void` | `moveColumn(int columnIndex, int newIndex)`
    `` | `void` | `removeColumn(TableColumn column)`
    `` | `void` | `renumberTableColumns()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---

    `class DefaultTableColumnModel`

    `valueChanged, getColumn, getColumnCount, addColumn, propertyChange, removeColumn, moveColumn, setColumnMargin, getColumns, getColumnIndex, getColumnMargin, getColumnIndexAtX, getTotalColumnWidth, setColumnSelectionAllowed, getColumnSelectionAllowed, getSelectedColumns, getSelectedColumnCount, setSelectionModel, getSelectionModel, addColumnModelListener, removeColumnModelListener, getColumnModelListeners, getListeners, equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### public List getColumnList()

    - #### public void moveColumn(int columnIndex, int newIndex)

    - #### public void removeColumn(TableColumn column)

    - #### public void renumberTableColumns()